#locationpage *
{
    box-sizing: border-box;
    /*border: 1px solid #f00;*/
    user-select: none;

}
#locationpage
{
    display:flex;
    align-items: center;
    flex-flow: column nowrap;
    border-style: solid;
    border-width: 1px;
    border-color: #f7c059;
    border-radius: 5px;
}

#main
{
    flex:1 1 auto;
    display: flex;
    flex-flow: row nowrap;
}
#main-left
{

    display:flex;
    flex-flow: column nowrap;

}
#main-right
{
    flex:0;
}

#location-header
{
    flex: 0 0 auto;
    max-width:75%;
}
#location-header #title
{
    margin:0px;
}

#monsters
{
    display: flex;
    overflow-x: auto;
    width: calc(100px * 10);
    border: 1px solid #ccc;
    padding: 10px;
    border:none;
    justify-content: center;
    min-height:100px;
}
#locationcaster-list-name
{
    pointer-events:none;
    margin:0;
    padding:0;
    font-family: 'Nosifer',cursive;
    font-size: 12px;
    margin-left: 5px;
    text-align: center;
    color: #990101;
    text-shadow: 1px 1px 2px #000, 0 0 25px #c603cc, 0 0 5px #3e0c40;
}

#locationcaster-list-hp
{
    height: 10px;
    border-radius: 10px;
    width: 100%;
    transition: width 0.3s;
}

.locationcaster
{
    display:flex;
    flex-flow:column nowrap;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin:1px;
}
#pc
{
    display:flex;
    flex-flow:column nowrap;
    overflow-y: auto;
    max-height:382px;
}


border: none;
  box-shadow: 0 4px 8px 0 rgb(0, 0, 0), 0 6px 20px 0 rgb(74, 29, 74);

.monster
{
    flex: 0 0 100px;
}
.monster .card
{
    pointer-events:none;
    margin: 2px;
    padding: 5px;
    background-color: #000;
    border:none;
}
.monster .card .content
{
    border:none;
    box-shadow: 0 4px 8px 0 rgb(0, 0, 0), 0 6px 20px 0 rgb(74, 29, 74);
}

.monster .card .content img
{
    margin: 0px;
    object-fit: cover;
    border-style: solid;
    border-width: 1px;
    border-radius: 63%;
    border-color: #421919;
    box-shadow: 0 4px 8px 0 rgb(0, 0, 0), 0 6px 20px 0 rgb(74, 29, 74);
}
.monster-title
{
    margin:0;
    padding:0;
    font-family: 'Nosifer',cursive;
    font-size: 12px;
    margin-left: 5px;
    text-align: center;
    color: #990101;
    text-shadow: 1px 1px 2px #000, 0 0 25px #c603cc, 0 0 5px #3e0c40;
}
.monster-level
{
    margin:0;
    padding:0;
}

.monster-health
{
    margin:0;
    padding:0;
}

.monster
{
    transition: all 0.3s ease;
}
.monster:hover
{
  transform: scale(1.1);
}
#long-description
{
    font-family: 'MedievalSharp', sans-serif; /* Specify the font family */
    font-weight: cursive;
    text-align: center;
    font-size: 16px;
    color: #ffa700;
    text-shadow: 1px 1px 2px #4f0808, 0 0 25px #ffffff, 0 0 5px #ffff00;
    margin:0px;
}
#location-items
{
    flex:1;
    margin:1px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    padding:0px;
    box-shadow: 0 4px 8px 0 rgba(174, 1, 1, 0.2), 0 6px 20px 0 rgba(115, 0, 0, 0.19);
    min-height:100px;
}

.location-item .card
{
    margin:5px;
    padding:0px;
    border:none;
    background-color: #1110;
    pointer-events:none;

}

.location-item .card .content
{
    margin:0px;
    padding:0px;
    border:none;
    box-shadow: 0 4px 8px 0 rgba(174, 1, 1, 0.2), 0 6px 20px 0 rgba(115, 0, 0, 0.19);
}

#location-items .location-actionbutton
{
    border:none;
}
#location-actions
{
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    max-height: 64px
}
.location-actionbutton
{
    display:flex;
    cursor: pointer;
    user-select: none;
    transition: all 0.3s ease;
    position:relative;
}
.location-actionbutton img
{
    pointer-events:none;
    max-height:64px;

}

.location-actionbutton:hover
{
  transform: scale(1.1);
}

.location-actionbutton:focus
{
  outline: none;
}

.location-actionbutton:active
{
  transform: scale(0.9);
}

/* BATTLE STUFF */
#caster-battlescreen, #battlescreen-middle
{
    flex: 1 1 auto;
    margin:1px;
    display:flex;
    flex-flow:column nowrap;
    justify-content:center;
}
#battlescreen-top
{
    flex: 0 0 auto;
    max-height:30px;
    display:flex;
    justify-content:center;
}
#battlescreen-top img
{
    box-shadow: none;
    border: none;
    margin-top: 3px;
    object-fit: cover;
    max-height:32px;
}
#battlescreen-middle-1
{
    justify-content: center;
    flex: 1 1 auto;
    margin: 0;
    padding: 0;
    display: flex;
    flex-flow: row nowrap;
}
#battlescreen-middle-1-left
{
    flex:1;
    max-height:100px;
    display:flex;
    flex-flow: column nowrap;

}
#battlescreen-middle-1-center
{
    flex:0 1 auto;
    display:flex;
}
#battlescreen-middle-1-right
{
    flex:1;
}
#battlescreen-bottom
{
    flex:1;
}
#caster-casteractions
{
    flex:1;
    display:flex;
    flex-flow:row nowrap;
    justify-content:flex-start;
    max-height:64px;
}
#caster-battlejournal
{
    flex:1;
    overflow-y: auto;
    white-space: nowrap;
    scrollbar-width: none; /* For Firefox */
    -ms-overflow-style: none;  /* For Internet Explorer and Edge */
    border: none; /* Remove border */
    min-height:100px;
}

#caster-battlejournal::-webkit-scrollbar
{
    display: none; /* For Chrome, Safari, and Opera */
}
.caster-target
{
    display:flex;
}


#caster-currenttarget .monster
{
   flex:1;
}
.fade-out {
    animation: fadeOut 1s forwards; /* 1s for the duration of the fade-out */
}
.castercard
{
    flex:1;
    background-color: #000;
    justify-content: center;
    align-items:center;
    display:flex;
    flex-flow:column nowrap;

}
#castercard-img
{
    margin: 0px;
    object-fit: cover;
    border-style: solid;
    border-width: 1px;
    border-radius: 63%;
    border-color: #421919;
    box-shadow: 0 4px 8px 0 rgb(0, 0, 0), 0 6px 20px 0 rgb(74, 29, 74);
}

#castercard-hp
{
    height: 10px;
    border-radius: 10px;
    width: 100%;
    transition: width 0.3s;
}

/* ANIMATIONS */
@keyframes shake
{
    0%, 100% { transform: translateX(0); }
    20%, 60% { transform: translateX(-10px); }
    40%, 80% { transform: translateX(10px); }
}

@keyframes fall
{
    0% { transform: translateY(0); opacity: 1; }
    100% { transform: translateY(100vh); opacity: 0; }
}

.shake
{
    animation: shake 0.5s ease-in-out;
}

.fall
{
    animation: fall 1s ease-in forwards;
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}
